Package com.enonic.xp.content

## Class Content

- java.lang.Object
- - com.enonic.xp.content.Content

- Direct Known Subclasses:
    `Media`, `PageTemplate`, `Site`

      @PublicApi
      public class Content
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Content.Builder<BUILDER extends Content.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Content​(Content.Builder<? extends Content.Builder> builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Content.Builder` | `create()` |
    `static Content.Builder` | `create​(Content source)` |
    `static Content.Builder` | `create​(ContentTypeName type)` |
    `boolean` | `equals​(Object o)` |
    `ExtraDatas` | `getAllExtraData()` |
    `PrincipalKey` | `getArchivedBy()` |
    `Instant` | `getArchivedTime()` |
    `Attachments` | `getAttachments()` |
    `ChildOrder` | `getChildOrder()` |
    `ContentState` | `getContentState()` | Deprecated.
    `Instant` | `getCreatedTime()` |
    `PrincipalKey` | `getCreator()` |
    `PropertyTree` | `getData()` |
    `String` | `getDisplayName()` |
    `ContentId` | `getId()` |
    `Set<ContentInheritType>` | `getInherit()` |
    `Locale` | `getLanguage()` |
    `Long` | `getManualOrderValue()` |
    `Instant` | `getModifiedTime()` |
    `PrincipalKey` | `getModifier()` |
    `ContentName` | `getName()` |
    `ContentName` | `getOriginalName()` |
    `ContentPath` | `getOriginalParentPath()` |
    `ProjectName` | `getOriginProject()` |
    `PrincipalKey` | `getOwner()` |
    `Page` | `getPage()` |
    `ContentPath` | `getParentPath()` |
    `ContentPath` | `getPath()` |
    `AccessControlList` | `getPermissions()` |
    `ContentIds` | `getProcessedReferences()` |
    `ContentPublishInfo` | `getPublishInfo()` |
    `Thumbnail` | `getThumbnail()` |
    `ContentTypeName` | `getType()` |
    `ValidationErrors` | `getValidationErrors()` |
    `ContentId` | `getVariantOf()` |
    `WorkflowInfo` | `getWorkflowInfo()` |
    `boolean` | `hasChildren()` |
    `boolean` | `hasExtraData()` |
    `int` | `hashCode()` |
    `boolean` | `hasPage()` | Deprecated.
    `boolean` | `hasThumbnail()` |
    `boolean` | `inheritsPermissions()` |
    `boolean` | `isPageTemplate()` |
    `boolean` | `isRoot()` | Deprecated.
    `boolean` | `isSite()` |
    `boolean` | `isValid()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Content

          protected Content​(Content.Builder<? extends Content.Builder> builder)

  - ### Method Detail

    - #### create

          public static Content.Builder create​(ContentTypeName type)

    - #### create

          public static Content.Builder create()

    - #### create

          public static Content.Builder create​(Content source)

    - #### getParentPath

          public ContentPath getParentPath()

    - #### getPath

          public ContentPath getPath()

    - #### isRoot

          @Deprecated
          public boolean isRoot()

      Deprecated.

    - #### getType

          public ContentTypeName getType()

    - #### getName

          public ContentName getName()

    - #### isValid

          public boolean isValid()

    - #### getValidationErrors

          public ValidationErrors getValidationErrors()

    - #### getDisplayName

          public String getDisplayName()

    - #### getCreatedTime

          public Instant getCreatedTime()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### getPublishInfo

          public ContentPublishInfo getPublishInfo()

    - #### getCreator

          public PrincipalKey getCreator()

    - #### getModifier

          public PrincipalKey getModifier()

    - #### getOwner

          public PrincipalKey getOwner()

    - #### getData

          public PropertyTree getData()

    - #### getAttachments

          public Attachments getAttachments()

    - #### hasExtraData

          public boolean hasExtraData()

    - #### getAllExtraData

          public ExtraDatas getAllExtraData()

    - #### getId

          public ContentId getId()

    - #### hasChildren

          public boolean hasChildren()

    - #### getInherit

          public Set<ContentInheritType> getInherit()

    - #### getOriginProject

          public ProjectName getOriginProject()

    - #### isSite

          public boolean isSite()

    - #### isPageTemplate

          public boolean isPageTemplate()

    - #### hasPage

          @Deprecated
          public boolean hasPage()

      Deprecated.

    - #### getPage

          public Page getPage()

    - #### hasThumbnail

          public boolean hasThumbnail()

    - #### getThumbnail

          public Thumbnail getThumbnail()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### inheritsPermissions

          public boolean inheritsPermissions()

    - #### getLanguage

          public Locale getLanguage()

    - #### getContentState

          @Deprecated
          public ContentState getContentState()

      Deprecated.

    - #### getProcessedReferences

          public ContentIds getProcessedReferences()

    - #### getWorkflowInfo

          public WorkflowInfo getWorkflowInfo()

    - #### getManualOrderValue

          public Long getManualOrderValue()

    - #### getOriginalParentPath

          public ContentPath getOriginalParentPath()

    - #### getOriginalName

          public ContentName getOriginalName()

    - #### getArchivedTime

          public Instant getArchivedTime()

    - #### getArchivedBy

          public PrincipalKey getArchivedBy()

    - #### getVariantOf

          public ContentId getVariantOf()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`